//Crow_bar 2009(c).

extern "C"
{
#include "../quakedef.h"
}
#include <pspgu.h>

void DrawGLPoly_ex (glpoly_t *p);
void GL_BindDET (int texture_index);
void R_RenderDynamicLightmaps (msurface_t *fa);

/*
===================
DrawDetailTextures
===================
*/
void DrawDetailTextures (msurface_t *first_surf, int num_surfs)
{
    int i;
    msurface_t *fa;
    texture_t *t;

	if (!r_detail.value)
        return;


    for (fa = first_surf, i = 0; i < num_surfs; fa++, i++)
    {
        // find the correct texture
        t = R_TextureAnimation (fa->texinfo->texture);

        if (t->dt_texturenum != 0 && fa->draw_det_frame)
        {
		    sceGuBlendFunc (GU_ADD, GU_DST_COLOR, GU_SRC_COLOR, 0, 0);
	        sceGuEnable(GU_BLEND);
            sceGuTexFunc(GU_TFX_DECAL, GU_TCC_RGB);
			GL_BindDET (t->dt_texturenum);
            DrawGLPoly_ex (fa->polys);
            R_RenderDynamicLightmaps (fa);
			sceGuTexFunc(GU_TFX_REPLACE, GU_TCC_RGB);
	        sceGuBlendFunc(GU_ADD, GU_SRC_ALPHA, GU_ONE_MINUS_SRC_ALPHA, 0, 0);
            sceGuDisable (GU_BLEND);

		}
        fa->draw_det_frame = 0;
    }
}



